Skip to main content
GET
Retrieve details of a refund transaction

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Path Parameters

transactionId
string
required

The extTransactionID parameter is the transaction ID on which the original transaction was processed.

Maximum string length: 36
id
string
required

The extTransactionID parameter is the transaction ID on which the original refund was processed.

Maximum string length: 36

Response

OK - Refund details successfully retrieved

The Refund object provides a way to reverse a charge, refunding money to the customer. You can create, and retrieve individual Refunds; as well as list all existing Refunds. Refunds require a transaction – a refund can only be executed against an existing, successfully captured transaction. Refunds can be issued for any valid amount (in the currency of the original transaction) up to the as-yet un-refunded balance of the original transaction. You can issue any number of refunds on a given transaction (until it has been fully refunded).

id
string

A unique identifier.

Maximum string length: 128
created
string<date-time>

The date/time at which the refund was requested.

amount
number

Amount of the refund. Must be positive (non-zero) and less than or equal to the as-yet-un-refunded balance of the specified transaction. Ignored if refundItems are specified.

currency
string

The ISO 4217 Currency Code of this transaction; defaults to USD.

note
string

Free-form specified note about refund.

refund_distribution_strategy
enum<string>

Defines strategy for distributing refund amount across the original TransactionItems. Default is None.

Available options:
SpecifiedItems,
None
refund_items
object[]

For item-level refunds, specifies the transaction items to refund with details.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.